[SRU] queens stable releases

Bug #1806043 reported by Corey Bryant on 2018-11-30
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
Queens
High
Unassigned
barbican (Ubuntu)
Undecided
Unassigned
Bionic
High
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Bionic
High
Unassigned
gnocchi (Ubuntu)
Undecided
Unassigned
Bionic
High
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Bionic
High
Unassigned
neutron-fwaas (Ubuntu)
Undecided
Unassigned
Bionic
High
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Bionic
High
Unassigned

Bug Description

[Impact]
This release sports mostly bug-fixes and we would like to make sure all of our supported customers have access to these improvements. The update contains the following package updates:

barbican 6.0.1
cinder 12.0.4
gnocchi 4.2.5
keystone 13.0.2
neutron-fwaas 12.0.1
nova 17.0.7

[Test Case]
The following SRU process was followed:
https://wiki.ubuntu.com/OpenStackUpdates

In order to avoid regression of existing consumers, the OpenStack team will run their continuous integration test against the packages that are in -proposed. A successful run of all available tests will be required before the proposed packages can be let into -updates.

The OpenStack team will be in charge of attaching the output summary of the executed tests. The OpenStack team members will not mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned tests are attached to this bug.

[Discussion]

Changed in cloud-archive:
status: New → Invalid
Changed in barbican (Ubuntu):
status: New → Invalid
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in gnocchi (Ubuntu):
status: New → Invalid
Changed in keystone (Ubuntu):
status: New → Invalid
Changed in neutron-fwaas (Ubuntu):
status: New → Invalid
Changed in neutron-vpnaas (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid
Changed in barbican (Ubuntu Bionic):
importance: Undecided → High
status: New → Triaged
Changed in cinder (Ubuntu Bionic):
importance: Undecided → High
status: New → Triaged
Changed in gnocchi (Ubuntu Bionic):
importance: Undecided → High
status: New → Triaged
Changed in keystone (Ubuntu Bionic):
importance: Undecided → High
status: New → Triaged
Changed in neutron-fwaas (Ubuntu Bionic):
importance: Undecided → High
status: New → Triaged
Changed in neutron-vpnaas (Ubuntu Bionic):
importance: Undecided → High
status: New → Triaged
Changed in nova (Ubuntu Bionic):
importance: Undecided → High
status: New → Triaged

Hello Corey, or anyone else affected,

Accepted barbican into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/barbican/1:6.0.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in barbican (Ubuntu Bionic):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-bionic
Changed in cinder (Ubuntu Bionic):
status: Triaged → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted cinder into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cinder/2:12.0.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in neutron-fwaas (Ubuntu Bionic):
status: Triaged → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted neutron-fwaas into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron-fwaas/1:12.0.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gnocchi (Ubuntu Bionic):
status: Triaged → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted gnocchi into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnocchi/4.2.5-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted keystone into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/keystone/2:13.0.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in keystone (Ubuntu Bionic):
status: Triaged → Fix Committed
no longer affects: neutron-vpnaas (Ubuntu)
no longer affects: neutron-vpnaas (Ubuntu Bionic)
description: updated
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted nova into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nova/2:17.0.7-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nova (Ubuntu Bionic):
status: Triaged → Fix Committed
Corey Bryant (corey.bryant) wrote :

Hello Corey, or anyone else affected,

Accepted barbican into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-queens-needed
Corey Bryant (corey.bryant) wrote :

Hello Corey, or anyone else affected,

Accepted gnocchi into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Hello Corey, or anyone else affected,

Accepted keystone into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Hello Corey, or anyone else affected,

Accepted neutron-fwaas into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Hello Corey, or anyone else affected,

Accepted nova into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Hello Corey, or anyone else affected,

Accepted cinder into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Corey Bryant (corey.bryant) wrote :

Verified successfully for xenial-queens-proposed:

======
Totals
======
Ran: 92 tests in 871.7824 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 441.7443 sec.

tags: added: verification-queens-done
removed: verification-queens-needed
Corey Bryant (corey.bryant) wrote :

Verified successfully for bionic-proposed:

======
Totals
======
Ran: 92 tests in 838.0778 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 408.7699 sec.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package barbican - 1:6.0.1-0ubuntu1

---------------
barbican (1:6.0.1-0ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Create stable/queens branch.
  * New stable point release for OpenStack Queens (LP: #1806043).

 -- Corey Bryant <email address hidden> Mon, 03 Dec 2018 09:15:09 -0500

Changed in barbican (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for barbican has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnocchi - 4.2.5-0ubuntu1

---------------
gnocchi (4.2.5-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1806043).

 -- Corey Bryant <email address hidden> Mon, 03 Dec 2018 09:15:05 -0500

Changed in gnocchi (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-fwaas - 1:12.0.1-0ubuntu1

---------------
neutron-fwaas (1:12.0.1-0ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Create stable/queens branch.
  * New stable point release for OpenStack Queens (LP: #1806043).

 -- Corey Bryant <email address hidden> Mon, 03 Dec 2018 09:15:45 -0500

Changed in neutron-fwaas (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 2:13.0.2-0ubuntu1

---------------
keystone (2:13.0.2-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1806043).

 -- Corey Bryant <email address hidden> Mon, 03 Dec 2018 09:16:03 -0500

Changed in keystone (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 2:17.0.7-0ubuntu1

---------------
nova (2:17.0.7-0ubuntu1) bionic; urgency=medium

  * d/p/disk-size-live-migration-overcommit.patch: Cherry-picked from
    https://review.openstack.org/#/c/602478 to ensure proper disk calculation
    during live migration with over-commit (LP: #1744079).
  * New stable point release for OpenStack Queens (LP: #1806043).

 -- Corey Bryant <email address hidden> Fri, 07 Dec 2018 08:27:02 -0500

Changed in nova (Ubuntu Bionic):
status: Fix Committed → Fix Released
James Page (james-page) wrote :

The verification of the Stable Release Update for barbican has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package barbican - 1:6.0.1-0ubuntu1~cloud0
---------------

 barbican (1:6.0.1-0ubuntu1~cloud0) xenial-queens; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 barbican (1:6.0.1-0ubuntu1) bionic; urgency=medium
 .
   * d/gbp.conf: Create stable/queens branch.
   * New stable point release for OpenStack Queens (LP: #1806043).

James Page (james-page) wrote :

The verification of the Stable Release Update for cinder has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package cinder - 2:12.0.4-0ubuntu1~cloud0
---------------

 cinder (2:12.0.4-0ubuntu1~cloud0) xenial-queens; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 cinder (2:12.0.4-0ubuntu1) bionic; urgency=medium
 .
   * New stable point release for OpenStack Queens (LP: #1806043).

James Page (james-page) wrote :

The verification of the Stable Release Update for gnocchi has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package gnocchi - 4.2.5-0ubuntu1~cloud0
---------------

 gnocchi (4.2.5-0ubuntu1~cloud0) xenial-queens; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 gnocchi (4.2.5-0ubuntu1) bionic; urgency=medium
 .
   * New stable point release for OpenStack Queens (LP: #1806043).

James Page (james-page) wrote :

The verification of the Stable Release Update for keystone has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package keystone - 2:13.0.2-0ubuntu1~cloud0
---------------

 keystone (2:13.0.2-0ubuntu1~cloud0) xenial-queens; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 keystone (2:13.0.2-0ubuntu1) bionic; urgency=medium
 .
   * New stable point release for OpenStack Queens (LP: #1806043).

James Page (james-page) wrote :

The verification of the Stable Release Update for neutron-fwaas has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package neutron-fwaas - 1:12.0.1-0ubuntu1~cloud0
---------------

 neutron-fwaas (1:12.0.1-0ubuntu1~cloud0) xenial-queens; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 neutron-fwaas (1:12.0.1-0ubuntu1) bionic; urgency=medium
 .
   * d/gbp.conf: Create stable/queens branch.
   * New stable point release for OpenStack Queens (LP: #1806043).

James Page (james-page) wrote :

The verification of the Stable Release Update for nova has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package nova - 2:17.0.7-0ubuntu1~cloud0
---------------

 nova (2:17.0.7-0ubuntu1~cloud0) xenial-queens; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 nova (2:17.0.7-0ubuntu1) bionic; urgency=medium
 .
   * d/p/disk-size-live-migration-overcommit.patch: Cherry-picked from
     https://review.openstack.org/#/c/602478 to ensure proper disk calculation
     during live migration with over-commit (LP: #1744079).
   * New stable point release for OpenStack Queens (LP: #1806043).

James Page (james-page) wrote :

The cinder part of this SRU is still in bionic-proposed - please could it be released.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 2:12.0.4-0ubuntu1

---------------
cinder (2:12.0.4-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1806043).

 -- Corey Bryant <email address hidden> Mon, 03 Dec 2018 09:16:09 -0500

Changed in cinder (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers